Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200608-11] Webmin, Usermin: File Disclosure


Vulnerability Assessment Details

[GLSA-200608-11] Webmin, Usermin: File Disclosure

Vulnerability Assessment Summary
Webmin, Usermin: File Disclosure

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200608-11
(Webmin, Usermin: File Disclosure)


A vulnerability in both Webmin and Usermin has been discovered by Kenny
Chen, wherein simplify_path is called before the HTML is decoded.

Impact

A non-authenticated user can read any file on the server using a
specially crafted URL.

Workaround

For a temporary workaround, IP Access Control can be setup on Webmin
and Usermin.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3392


Solution:
All Webmin users should update to the latest stable version:
# emerge --sync
# emerge --ask --verbose --oneshot ">=app-admin/webmin-1.290"
All Usermin users should update to the latest stable version:
# emerge --sync
# emerge --ask --verbose --oneshot ">=app-admin/usermin-1.220"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2006 Michel Arboi

Cables, Connectors

MICRON / IBM VLP SERVER RAM 16GB (4x4GB) 2RX4 PC3-10600R DDR3 44T1498 43X5052
$23.99
MICRON / IBM VLP SERVER RAM 16GB (4x4GB) 2RX4 PC3-10600R DDR3 44T1498 43X5052 pictureLot of 6 8GB Samsung 2Rx4 PC3L-10600R Server Memory Low Voltage IBM FRU 49Y1415
$100.0
Lot of 6 8GB Samsung 2Rx4 PC3L-10600R Server Memory Low Voltage IBM FRU 49Y1415 pictureIBM Intel 39Y6138 / 39Y6137 Quad Port PCI-e Server Low Profile Adapter Card
$21.0
IBM Intel 39Y6138 / 39Y6137 Quad Port PCI-e Server Low Profile Adapter Card   pictureIBM 8832 Blade Center / Blade Server M1X - USED
$34.95
IBM 8832 Blade Center  / Blade Server M1X - USED  picture


Discussions

No Discussions have been posted on this vulnerability.